<template>
  <avue-tree ref="tree" v-loading="treeLoading" :data="treeData" :option="treeOption" @node-click="nodeClick">
  </avue-tree>
</template>

<script>
import {getEbomInfo} from "@/api/UI/uiDefine";

export default {
  name: "product",
  props: {
    sourceData: {
      type: Array,
      default: {}
    },
    dataStore: {
      type: Array,
      default: []
    },
    paramVOS: {
      type: Array,
      default: {}
    }
  },
  data() {
    return {
      treeLoading: false,
      treeData: [],
      treeOption: {
        height: 'auto',
        menu: false,
        addBtn: false,
        defaultExpandAll: false,
        props: {
          label: 'text',
          value: 'oid',
          children: 'children',
        },
        lazy: true,
        treeLoad: (node, resolve) => {
          console.log(node);
          const params = {
            productNo: this.dataStore[0].productnumber,
            productOid: this.dataStore[0].oid,
            parentOid: node.level === 0 ? '' : node.data.oid
          }
          getEbomInfo(params).then(res => {
            console.log(res);
            resolve(res.data.data.map(item => {
              return {
                ...item,
                leaf: item.leaf
              }
            }))
          })
        }
      },
    }
  },
  created() {
    // console.log(this.sourceData);
    console.log(this.dataStore);
    // console.log(this.paramVOS);
  },
  methods: {}
}
</script>

<style scoped>

</style>
